// Spielfeld von 0,0 bis 6,6
//Mittelpunkte: F1 1,1/F2 3,1/ F3 5,1/ F4 1,3/ F5 3,3/ F6 5,3/ F7 1,5/ F8 3,5/ F9 5,5

int xMittelpunkt; // X-Koordinate des Mittelpunkts des ausgewählten Feldes
int yMittelpunkt; // Y-Koordinate des Mittelpunkts des ausgewählten Feldes

//Ordnet das empfangene Zeichen in einem Spieler und einem Feld zu, bestimmt die Koordinaten die das Programm für den Mittelpunkt seiner Zeichnung verwendet=n soll und gibt den Zeichenbefehl
//a-i: Spieler 1, Felder 1-9 
//j-r: Spieler 2, Felder 1-9
void zeichneZug(char zug) {

  switch (zug) {
    //Spieler 1
    case 'a':
      xMittelpunkt=1;
      yMittelpunkt=1;
      zeichneLinie();
      break;
    case 'b':
      xMittelpunkt=3;
      yMittelpunkt=1;
      zeichneLinie();
      break;
    case 'c':
      xMittelpunkt=5;
      yMittelpunkt=1;
      zeichneLinie();
      break;
    case 'd':
      xMittelpunkt=1;
      yMittelpunkt=3;
      zeichneLinie();
      break;
    case 'e':
      xMittelpunkt=3;
      yMittelpunkt=3;
      zeichneLinie();
      break;
    case 'f':
      xMittelpunkt=5;
      yMittelpunkt=3;
      zeichneLinie();
      break;
    case 'g':
      xMittelpunkt=1;
      yMittelpunkt=5;
      zeichneLinie();
      break;
    case 'h':
      xMittelpunkt=3;
      yMittelpunkt=5;
      zeichneLinie();
      break;
    case 'i':
      xMittelpunkt=5;
      yMittelpunkt=5;
      zeichneLinie();
      break;

    //Spieler 2
    case 'j':
      xMittelpunkt=1;
      yMittelpunkt=1;
      zeichneKreuz();
      break;
    case 'k':
      xMittelpunkt=3;
      yMittelpunkt=1;
      zeichneKreuz();
      break;
    case 'l':
      xMittelpunkt=5;
      yMittelpunkt=1;
      zeichneKreuz();
      break;
    case 'm':
      xMittelpunkt=1;
      yMittelpunkt=3;
      zeichneKreuz();
      break;
    case 'n':
      xMittelpunkt=3;
      yMittelpunkt=3;
      zeichneKreuz();
      break;
    case 'o':
      xMittelpunkt=5;
      yMittelpunkt=3;
      zeichneKreuz();
      break;
    case 'p':
      xMittelpunkt=1;
      yMittelpunkt=5;
      zeichneKreuz();
      break;
    case 'q':
      xMittelpunkt=3;
      yMittelpunkt=5;
      zeichneKreuz();
      break;
    case 'r':
      xMittelpunkt=5;
      yMittelpunkt=5;
      zeichneKreuz();
      break;
    default:
    break;
  }
  
}




float a = 1; // legt die Größe der Form fest

//Zeichnet die Form mit der Mitte des Feldes als Ausgangsbunkt der Berechnung
void zeichneKreuz() {
  liftPen();
  zuKoordinateBewegen(xMittelpunkt-a, yMittelpunkt-a);
  lowerPen();
  zuKoordinateBewegen(xMittelpunkt+a, yMittelpunkt+a);
  liftPen();
  zuKoordinateBewegen(xMittelpunkt-a, yMittelpunkt+a);
  lowerPen();
  zuKoordinateBewegen(xMittelpunkt+a, yMittelpunkt-a);
  
}

void zeichneLinie() {
  liftPen();
  zuKoordinateBewegen(xMittelpunkt-a, yMittelpunkt);
  lowerPen();
  zuKoordinateBewegen(xMittelpunkt+a, yMittelpunkt); 
}

