// Das Programm kompiliert sofern man die beiben Pin für SoftwareSerial mit sinnvollen Werten (z.B 10 und 11) belegt. Die Funktionsfähigkeit mit der KI konnte nicht überprüft werde.

#include <AH_Pololu.h>
#include <math.h>
#include <Servo.h>
#include <SoftwareSerial.h>

Servo myServo;
SoftwareSerial mySerial(Tx, Rx); //Tx-Pin, Rx-Pin Gegenwärtig ist kein Arduino angeschlossen, die Pins können deshalb nicht angegeben werden.
AH_Pololu motor1(200,10,8); //200 steps ca 28,2 cm strecke
AH_Pololu motor2(200,9,7);


void setup() {
  Serial.begin(9600);  //Hardware Serialport starten
  mySerial.begin(9600); //Software Serialport starten
  mySerial.listen(); // unter der Annahme das der Arduino nur empfängt, nicht zurückgibt
  
  motor1.setSpeedRPM(30); // 30 Radumdrehungen pro Minute
  motor2.setSpeedRPM(30);
 
  myServo.attach(3, 800, 2100);
  stiftInitialisieren();
  
  delay(1000); // Verhindert das der Roboter noch beim Anschliessen losfährt
}

char letzterZug; // Speicher für den letzten ausgeführten Zug

void loop() {
  
char gelesen = mySerial.read(); // Einlesen der gesendeten Daten

if (gelesen!=letzterZug) { // Vergleichen ob der Zug bereits ausgeführt wurde. Nein: Zug ausführen, Ja: Zug nicht ausführen, von vorne beginnen bis ein neuer Zug gesendet wird 
  letzterZug=gelesen;
  zeichneZug(gelesen);
}

}

